function fromKey(key, param) {
  return {
    rawtext: [
      {
        translate: key,
        with: ["\n"],
      },
    ],
  };
}

export const MAIN_MENU_DESCRIPTION = fromKey("4ks_wp.description.main_menu")

export const GEAR_TIERS_DESCRIPTION = fromKey("4ks_wp.description.gears")

export const NEW_MATERIAL_DESCRIPTION = {
  bedrock: fromKey("4ks_wp.bedrock_material"),
  cryo: fromKey("4ks_wp.cryo_material"),
  demonic: fromKey("4ks_wp.demonic_material"),
  divine: fromKey("4ks_wp.divine_material"),
  dragon: fromKey("4ks_wp.dragon_material"),
  flame: fromKey("4ks_wp.flame_material"),
  platinum: fromKey("4ks_wp.platinum_material"),
  ruby: fromKey("4ks_wp.ruby_material"),
  sapphire: fromKey("4ks_wp.sapphire_material"),
  steel: fromKey("4ks_wp.steel_material"),
  sculk: fromKey("4ks_wp.sculk_material"),
  obsidian: fromKey("4ks_wp.obsidian_material"),
  xp_ore: fromKey("4ks_wp.xp_ore"),
  uranium: fromKey("4ks_wp.uranium_material")
}

export const NEW_WEAPON_DESCRIPTION = {
  battleaxe: fromKey("4ks_wp.battleaxe_weapon"),
  bow: fromKey("4ks_wp.bow_weapon"),
  cactus_sword: fromKey("4ks_wp.cactus_sword_weapon"),
  club: fromKey("4ks_wp.club_weapon"),
  cutlass: fromKey("4ks_wp.cutlass_weapon"),
  dagger: fromKey("4ks_wp.dagger_weapon"),
  dirt_sword: fromKey("4ks_wp.dirt_sword_weapon"),
  gladius: fromKey("4ks_wp.gladius_weapon"),
  greatsword: fromKey("4ks_wp.greatsword_weapon"),
  halberd: fromKey("4ks_wp.halberd_weapon"),
  khopesh: fromKey("4ks_wp.khopesh_weapon"),
  Mace: fromKey("4ks_wp.Mace_weapon"),
  spear: fromKey("4ks_wp.spear_weapon"),
  ultra_swords: fromKey("4ks_wp.ultra_swords_weapon"),
  
  crossbow: fromKey("4ks_wp.crossbow_weapon"),
  javelin: fromKey("4ks_wp.javelin_weapon"),
  long_bow: fromKey("4ks_wp.long_bow_weapon"),
  shuriken: fromKey("4ks_wp.shuriken_weapon"),
  trident: fromKey("4ks_wp.trident_weapon"),
  v2_bows: fromKey("4ks_wp.v2_bows_weapon"),
  
  whats_new_description: fromKey("4ks_wp.whats_new_description")
}

export const NEW_ITEM_DESCRIPTION = {
  platinum_rod: fromKey("4ks_wp.platinum_rod.description"),
  steel_rod: fromKey("4ks_wp.steel_rod.description"),
  quartz_stick: fromKey("4ks_wp.quartz_stick.description"),
  upgradium: fromKey("4ks_wp.upgradium.description"),
}